Subject: bug#62502: 29.0.60; Docstring of `read-char-choice'

From: Eli Zaretskii <[email-masked]>
Date: Tue, 28 Mar 2023 21:34:04 +0300

> Cc: [email-masked]
> Date: Tue, 28 Mar 2023 20:29:11 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Arash Esbati <[email-masked]>
> > Date: Tue, 28 Mar 2023 16:32:21 +0200
> > 
> > docstring of `read-char-choice' lacks any information about
> > INHIBIT-KEYBOARD-QUIT:
> 
> That's because by default that argument is ignored.
> 
> > INHIBIT-KEYBOARD-QUIT is passed to `read-char-choice-with-read-key'; I'd
> > say it is sufficient to say something like:
> > 
> >   If ‘read-char-choice-use-read-key’ is non-nil, the modal ‘read-key’
> >   function is used instead (see ‘read-char-choice-with-read-key’) and
> >   the optional INHIBIT-KEYBOARD-QUIT is passed to it.
> 
> Is it really useful?  I believe read-char-choice-with-read-key is kept
> for possible backward compatibility; new Lisp programs that want to
> use read-char-choice-with-read-key should just call it directly, and
> in its doc string this argument is documented.
> 
> So I'm not sure we should do anything about this issue.

Since the state of documentation of this and related
functions/variables was unsatisfactory, I ended up fixing it, and as
part of that also mentioned what happens with INHIBIT-KEYBOARD-QUIT.

Thanks.